Mailinglist Archive: opensuse-updates (101 mails)

< Previous Next >
openSUSE-SU-2015:0382-1: important: Security update for snack
openSUSE Security Update: Security update for snack
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0382-1
Rating: important
References: #793860
Cross-References: CVE-2012-6303
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

snack was updated to fix one security issue.

This security issue was fixed:
- CVE-2012-6303: Heap-based buffer overflow in the GetWavHeader function
in generic/jkSoundFile.c in the Snack Sound Toolkit, as used in
WaveSurfer 1.8.8p4, allowed remote attackers to cause a denial of
service (crash) and possibly execute arbitrary code via a large chunk
size in a WAV file (bnc#793860).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-183=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-183=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

snack-2.2.10-212.4.1
snack-debuginfo-2.2.10-212.4.1
snack-debugsource-2.2.10-212.4.1

- openSUSE 13.1 (i586 x86_64):

snack-2.2.10-210.4.1
snack-debuginfo-2.2.10-210.4.1
snack-debugsource-2.2.10-210.4.1


References:

http://support.novell.com/security/cve/CVE-2012-6303.html
https://bugzilla.suse.com/793860


< Previous Next >
This Thread
  • No further messages